S3D_VECTOR_ANGLE(3)

NAME
s3d_vector_angle - calculate angle between two vectors

SYNOPSIS

#include <s3d.h>

float s3d_vector_angle(const float vector1[], const float vector2[]);

DESCRIPTION

Calculates and returns the angle between vector1 and vector2. Please note that the resulting angle is between 0 and PI, therefore not covering the whole period! To convert in degrees just do result*180/M_PI. All vectors should have the format float[3]. More info on wikipedia. http://en.wikipedia.org/wiki/Vector_(spatial)

AUTHOR

Simon Wunderlich
    Author of s3d